Skip to content

Updates a sender in project
GA

Request

Updates a sender in project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

Bodyapplication/jsonrequired

Supported sender fields to update

statusstring(WhatsappActions)

Create as draft or submit. Defaults to draft.

Default:"DRAFT"
Enum:"DRAFT""SUBMIT"
detailsobject(WhatsappUpdateSenderInputDetailsDto)

Example body request to update a sender.

curl -i -X PATCH \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "details": {
      "displayName": "Test name update",
      "description": "Test description update",
      "email": null,
      "address": null,
      "websiteTwo": "https://example-2.com",
      "about": "Test about update",
      "photoUrl": "https://example.com/photos/2.png"
    }
  }'

Responses

Updated sender in project

Bodyapplication/json
idstringrequired

The unique ID of the sender.

regionstring(WhatsappSenderBotRegion)required

Region sender is provisioned in.

Enum:"BR""EU""US""UNRECOGNIZED"
metaLocalStoragestring(WhatsappSenderMetaLocalStorages)required

Region sender store the data in Meta.

Enum:"AE""AU""BH""BR""CA""CH""DE""GB""ID""IN"
businessManagerstring(WhatsappBusinessManagers)required

Business manager.

Enum:"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK""UNRECOGNIZED"
compatibleRegionsArray of strings, uniquerequired

Conversation API app regions the sender can be used for.

statestring(WhatsappSenderStates)

The current state of the sender.

Enum:"ACTIVE""IN_PROGRESS""INACTIVE""PENDING_VERIFICATION""SUSPENDED""ERROR"
changesobject(WhatsappSenderChangesDto)

Any pending changes to the sender.

detailsobject(WhatsappSenderDetailsDto)

Sender details and information.

metadataobject(WhatsappSenderMetadataDto)

Data about the current state of individual sender fields.

conversationApiAppDetailsobject(WhatsappConversationApiAppDto)

If set, the details of the Conversation API App the sender is connected to.

maxTpsnumber

Maximum sender TPS.

qualityRatingstring(WhatsappQualityRating)

Current quality rating of the sender.

Enum:"GREEN""RED""YELLOW""UNKNOWN""UNRECOGNIZED"
bearerTokenstring

Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.

createdstring

The UTC Date Time in ISO 8601 for when the sender was created.

modifiedstring

The UTC Date Time in ISO 8601 for when the sender was last modified.

countryCodestring

Country code of sender phone number.

phoneNumberstring

Sender phone number without country code.

numberProviderstring(WhatsappSenderNumberProviderType)

Provider for phone number.

Enum:"CUSTOMER""SINCH""UNRECOGNIZED"
cloudApibooleanrequireddeprecated

True if the sender is hosted in WhatsApp Cloud API.

conversationApiAppstringdeprecated

If set, the Conversation API App ID the sender is connected to.

dailyLimitstring(WhatsappDailyLimit)deprecated

This property is deprecated. Use AccountDto.businessDailyLimit instead. Current daily message limit of the sender.

Enum:"NOT_SET""TIER_100K""TIER_10K""TIER_1K""TIER_250""TIER_2K""TIER_50""TIER_UNLIMITED""UNRECOGNIZED"
wabaBanStatestring(WhatsappWabaBanStates)deprecated

Please use get account endpoint for this information.

Enum:"DISABLE""REINSTATE""SCHEDULE_FOR_DISABLE""UNRECOGNIZED"
wabaBanDatestringdeprecated

Please use get account endpoint for this information.

Response

Response when successfully update a sender.

{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "state": "ACTIVE", "changes": { "status": "IN_PROGRESS", "details": { … } }, "details": { "displayName": "Test name", "description": "Test description", "vertical": "PROFESSIONAL_SERVICES", "email": "test@test.com", "address": "Test address", "about": "Test about", "websiteOne": "https://example-1.com", "photoUrl": "https://example.com/photos/1.png" }, "created": "2023-01-19T13:11:08.204Z", "modified": "2023-01-19T13:11:08.204Z", "region": "EU", "metaLocalStorage": "DE", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU", "channelStatus": "ACTIVE" }, "maxTps": 10, "qualityRating": "GREEN", "bearerToken": "aaaaAAAA.bbbbBBBB.ccccCCCC", "cloudApi": true, "countryCode": "48", "phoneNumber": "777777777", "numberProvider": "CUSTOMER", "businessManager": "SINCH_UK", "compatibleRegions": [ "eu", "us" ] }

Callbacks

Comment on sender
post
Sender completed
post
Sender inactive
post
Sender in pending verification
post
Sender in rejected
post
Sender in error
post
Daily limit changed for Sender
post
deprecated
Quality rating changed for Sender
post
Sender deleted
post
Sender username updated
post
We'd love to hear from you!
Rate this content: